function [frequent_source] = find_prolonged_spike_culprits(file)

%file = './sample_used_files/wash_prolonged_spike0_updates.600s.fixed.csv'
[T1 T2 Ne Or Pr Ma] = textread(file, '%s %s %s %s %s %s', 'headerlines', 1);

% note that for prolonged spikes here we just need to give
% the 'heavy hitters' unlike in clotheslines where we need the 
% 'persistent hitters'
% hence easier code here than in clotheslines

% which origin as might be the source of problem....
% for origin_as i just used the number without INET_TOA
% you can suitably change the code to handle the full IP form 
% we handle in clotheslines_finder 

T = tabulate(Or);
hh = zeros(size(T, 1), 1);
for i=1:size(T, 1)
    hh(i, 1) = T{i, 2};
end

[U I] = sort(hh, 'descend');

ind = min(6,size(I,1));
display 'Top origin_as'
T(I(1:ind), 1:2) 

% which prefixes might be the source of problem....
T = tabulate(strcat(Pr, '/',Ma));
hh = zeros(size(T, 1), 1);
for i=1:size(T, 1)
    hh(i, 1) = T{i, 2};
end

[U I] = sort(hh, 'descend');

ind = min(6,size(I,1));
display 'Top prefixes'
T(I(1:ind), 1:2) 

quit

% 
% a= '/';
% b='--';
% hh2 = repmat(a, size(Or, 1), 1);
% hh3 = repmat(b, size(Or, 1), 1);
% hh1 = strcat(Or, hh3, Pr, hh2, Ma);
% 
% TT = tabulate(hh1);
% hhh = zeros(size(TT, 1), 1);
% for i=1:size(TT, 1)
%     hhh(i, 1) = TT{i, 2};
% end
% 
% [UU II] = sort(hhh, 'descend');
% TT{II(1:6), 1:2}
