#get prolonged spikes

s="$1" #"wash_2004-09-09to2006-09-01.300s.csv"
timebin="$2" #"300"
stdate="$3" #"2004-09-09" 
stdate1="$4" #"00:00:00"
run="$5"

routertable="bgpup_abilene_wash"
datapath="../online/"
outputpath="./ON"$run"/" 
SN001output="~/OUTPUTs/"

# make the necessary directories
mkdir $outputpath
mkdir $outputpath"spike_timeseries"
mkdir $outputpath"spike_timeseries/original"
mkdir $outputpath"spike_timeseries/fixed"

matlab -nodisplay -nosplash -r \
"online_prolonged_spikes("\'$datapath""$s\'",$timebin,"\'$outputpath\'","\'$stdate" "$stdate1\'")"


echo "now making sql queries"
# also make sql query for the corresponding time periods
ruby make_sql_spikes.rb "$outputpath""prolonged_spike_suspect_times.txt" \
$routertable "$SN001output""original/" > "$outputpath""spike_queries.sql"


# then run sql query on sn001.datapository.net machine
# also scp it back here
sh package_for_datapository_spikes.sh \
"$outputpath" "spike_queries.sql" "$SN001output" "original/" "spike_timeseries/"


# above will store the answers in the directory spike_timeseries
# fix these updates for missing AS IPs etc. etc.
echo "now fixing updates"
for i in $(ls "$outputpath""spike_timeseries/original/") 
do
		echo $i
		ruby fix_prolonged_spike_updates.rb \
		"$outputpath""spike_timeseries/original/"$i > "$outputpath""spike_timeseries/fixed/"$i 
done


# then make the pseudo series
# of only time ticks using the above timeseries
echo "now looking for culprits"
for i in $(ls "$outputpath""spike_timeseries/fixed/") 
do			
		echo $i				
		matlab -nosplash -nodisplay -r \
		"find_prolonged_spike_culprits("\'"$outputpath""spike_timeseries/fixed/"$i\'")" > "$outputpath""culprits_"$i
done
