#get prolonged spikes
# assumes the data for prolonged_spikes.m is in the local dir

timebin="600";
datapath="./sample_data/"
inputfile="wash_2004-09-09to2006-09-01.600s.csv"
outputpath="./spikes_test_output/" 

# make the necessary directories
mkdir $outputpath


matlab -nodisplay -nosplash -r \
"prolonged_spikes_general("\'$datapath""$inputfile""\'",$timebin,"\'$outputpath\'")"


#echo "now making sql queries"
# also make sql query for the corresponding time periods
#ruby make_sql_spikes.rb "$outputpath""prolonged_spike_suspect_times.txt" \
#$routertable "$SN001output""original/" > "$outputpath""spike_queries.sql"


# then run sql query on sn001.datapository.net machine
# also scp it back here
#sh package_for_datapository_spikes.sh \
#"$outputpath" "spike_queries.sql" "$SN001output" "original/" "spike_timeseries/"


# above will store the answers in the directory spike_timeseries
# fix these updates for missing AS IPs etc. etc.
#echo "now fixing updates"
#for i in $(ls "$outputpath""spike_timeseries/original/") 
#do
#		echo $i
#		ruby fix_prolonged_spike_updates.rb \
#		"$outputpath""spike_timeseries/original/"$i > "$outputpath""spike_timeseries/fixed/"$i 
#done


# then make the pseudo series
# of only time ticks using the above timeseries
#echo "now looking for culprits"
#for i in $(ls "$outputpath""spike_timeseries/fixed/") 
#do			
#		echo $i				
#		matlab -nosplash -nodisplay -r \
#		"find_prolonged_spike_culprits("\'"$outputpath""spike_timeseries/fixed/"$i\'")" > "$outputpath""culprits_"$i
#done
